/*
 * JBoss, the open source webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.jacc;

import javax.annotation.security.PermitAll;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.2.5 $
 */
public interface Stateless
{
   int unchecked(int i);

   int checked(int i);
   
   AllEntity insertAllEntity();
   
   AllEntity readAllEntity(int key);
   
   void updateAllEntity(AllEntity e);
   
   void deleteAllEntity(AllEntity e);
   
   StarEntity insertStarEntity();
   
   StarEntity readStarEntity(int key);
   
   void updateStarEntity(StarEntity e);
   
   void deleteStarEntity(StarEntity e);
   
   SomeEntity insertSomeEntity();
   
   SomeEntity readSomeEntity(int key);
   
   void updateSomeEntity(SomeEntity e);
   
   void deleteSomeEntity(SomeEntity e);
   
}
